From 2f80d3e8bc4dc70318f66cf5fe2a8128cf59e0e0 Mon Sep 17 00:00:00 2001
From: Daniel Gustafsson <daniel@yesql.se>
Date: Wed, 26 Jun 2019 13:02:03 +0200
Subject: [PATCH] Guard OpenSSL specific cipherconfig with USE_OPENSSL

The default value for SSLCipherSuites is set based on USE_SSL, but
is actually OpenSSL specific value and should be set when USE_OPENSSL
is true. This is so far equal, since there is only one TLS backend
but if that ever change this will break.
---
 src/backend/utils/misc/guc.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/src/backend/utils/misc/guc.c b/src/backend/utils/misc/guc.c
index ab39147577..97ade5d0d7 100644
--- a/src/backend/utils/misc/guc.c
+++ b/src/backend/utils/misc/guc.c
@@ -4148,7 +4148,7 @@ static struct config_string ConfigureNamesString[] =
 			GUC_SUPERUSER_ONLY
 		},
 		&SSLCipherSuites,
-#ifdef USE_SSL
+#ifdef USE_OPENSSL
 		"HIGH:MEDIUM:+3DES:!aNULL",
 #else
 		"none",
-- 
2.14.1.145.gb3622a4ee

